Last Comment Bug 252201 - In <pageInfoOverlay.js>, "Warning: reference to undefined property elts[i][aAttrName]"
: In <pageInfoOverlay.js>, "Warning: reference to undefined property elts[i][aA...
Status: RESOLVED FIXED
: fixed-seamonkey1.0, fixed-seamonkey1.1a, fixed1.8.1, verified1.8.0.1
Product: SeaMonkey
Classification: Client Software
Component: Page Info (show other bugs)
: Trunk
: x86 Windows 98
: -- minor (vote)
: ---
Assigned To: Florian Quèze [:florian] [:flo]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-19 17:27 PDT by Serge Gautherie (:sgautherie)
Modified: 2006-08-20 09:35 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (1.29 KB, patch)
2005-09-11 13:35 PDT, Florian Quèze [:florian] [:flo]
db48x: review+
Details | Diff | Splinter Review
patch v2 (checked in trunk/branch 1.8 & 1.8.0) (1.11 KB, patch)
2005-09-24 14:19 PDT, Florian Quèze [:florian] [:flo]
neil: superreview+
kairo: approval‑seamonkey1.0+
kairo: approval‑seamonkey1.1a+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2004-07-19 17:27:02 PDT
[Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8a2) Gecko/20040714] (release) (W98SE)

{{
Warning: reference to undefined property elts[i][aAttrName]
Source File: chrome://p3p/content/pageInfoOverlay.js
Line: 139
}}

Seen this once: not reproduced...
Comment 1 Daniel Brooks [:db48x] 2004-07-30 14:25:04 PDT
This is in the wrong component, but I can't remember off hand where P3P bugs go.
Comment 2 Florian Quèze [:florian] [:flo] 2005-09-11 13:35:24 PDT
Created attachment 195667 [details] [diff] [review]
patch v1

I'm not sure if it's the same bug or not, but I get a javascript error caused
by the same line in pageInfoOverlay.js when I open Page Info on a webpage
containing this html code:
<form action="action.php" method="post">
 <select name="action" id="action" ...

The attached patch should fix this and maybe the warning originaly reported.
Comment 3 Daniel Brooks [:db48x] 2005-09-11 16:34:15 PDT
Comment on attachment 195667 [details] [diff] [review]
patch v1

looks good, r=db48x
Comment 4 Serge Gautherie (:sgautherie) 2005-09-11 17:06:53 PDT
(In reply to comment #2)
> I'm not sure if it's the same bug or not,

I never noticed this warning after my initial report;
then you'll be free to resolve this bug when you checkin your patch :-)
Comment 5 neil@parkwaycc.co.uk 2005-09-22 16:05:18 PDT
Comment on attachment 195667 [details] [diff] [review]
patch v1

Instead of .attributes[attrName).value can't you use .getAttribute(attrName) ?
Comment 6 Florian Quèze [:florian] [:flo] 2005-09-24 14:19:33 PDT
Created attachment 197288 [details] [diff] [review]
patch v2 (checked in trunk/branch 1.8 & 1.8.0)

(In reply to comment #5)
> (From update of attachment 195667 [details] [diff] [review] [edit])
> Instead of .attributes[attrName).value can't you use .getAttribute(attrName)
?
> 

yes :-)
Comment 7 Daniel Brooks [:db48x] 2005-09-27 17:24:38 PDT
checked in
Comment 8 Ian Neal 2005-12-22 10:25:59 PST
Comment on attachment 197288 [details] [diff] [review]
patch v2 (checked in trunk/branch 1.8 & 1.8.0)

a=me, you will need at least one more
Comment 9 Ian Neal 2005-12-30 13:01:52 PST
Comment on attachment 197288 [details] [diff] [review]
patch v2 (checked in trunk/branch 1.8 & 1.8.0)

Checking in (branch 1.8)
pageInfoOverlay.js;
new revision: 1.3.28.2; previous revision: 1.3.28.1
done
Checking in (branch 1.8.0)
pageInfoOverlay.js;
new revision: 1.3.28.1.2.1; previous revision: 1.3.28.1
done
Comment 10 Jay Patel [:jay] 2006-01-10 15:19:26 PST
Do we have a sample url or testcase that we can use to verify this fix?  Can anyone here verify the fix with the latest 1.8.0 and/or 1.8.1 build?
Comment 11 Serge Gautherie (:sgautherie) 2006-01-10 16:19:06 PST
(In reply to comment #10)
> Do we have a sample url or testcase that we can use to verify this fix?

"No", it seems comment 2 is the closest...
Comment 12 Florian Quèze [:florian] [:flo] 2006-01-11 11:05:44 PST
(In reply to comment #10)
> Do we have a sample url or testcase that we can use to verify this fix?  Can
> anyone here verify the fix with the latest 1.8.0 and/or 1.8.1 build?
> 

My patch was for the bug that we had in the "Privacy" tab with this url: http://rtgamer.free.fr/
(there is a form field named "action").
Comment 13 Jay Patel [:jay] 2006-01-11 14:53:51 PST
v.fixed on 1.8.0.1 with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1, no js erros in console when viewing page info for the url in Florian's comment #12

Note You need to log in before you can comment on or make changes to this bug.